Cannot Get "Advanced Theme Switcher" Plugin to Work

I have this installed on my blog and have added as a sidebar widget. It shows up on the page as a drop down list howevert when I try and select a new theme nothing happens.

Have tried in IE, FF & Chrome and all browser have the same issue.
If I choose list option then it works just fine, its the drop down option that doesn't

Any ideas ?